/* Container */
.loader_sablon {
    transform-style: preserve-3d;
}

/* Frame sablon */
.screen {
    width: 340px;
    height: 180px;
    background: #2b2b2b;
    border: 8px solid #555;
    border-radius: 12px;
    transform: rotateX(20deg) rotateY(-10deg);
    position: relative;
    overflow: hidden;
    box-shadow: 0 25px 50px rgba(0,0,0,0.7);
}

/* Area cetak */
.print-area {
    width: 100%;
    height: 100%;
    background: #111;
    position: relative;
}

/* LOGO (hasil sablon) */
.logo {
    position: absolute;
    width: 70%;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    opacity: 0;
    animation: reveal 9s infinite ease-in-out;
}

/* Tinta */
.ink {
    position: absolute;
    height: 100%;
    width: 0%;
    background: linear-gradient(90deg, rgba(0,255,200,0.8), rgba(0,150,255,0.8));
    animation: inkMove 5s infinite ease-in-out;
}

/* Rakel */
.squeegee {
    position: absolute;
    top: -45px;
    left: -20px;
    width: 130px;
    height: 70px;
    background: #f1c40f;
    border-radius: 8px;
    transform: rotateX(55deg) skewX(-20deg);
    animation: move3d 3s infinite ease-in-out;
    box-shadow: 0 15px 25px rgba(0,0,0,0.6);
    animation: move3d 6s infinite ease-in-out;
}

/* Karet */
.squeegee::after {
    content: '';
    position: absolute;
    bottom: -6px;
    width: 100%;
    height: 10px;
    background: #222;
}

/* Handle */
.squeegee::before {
    content: '';
    position: absolute;
    top: -22px;
    left: 40px;
    width: 50px;
    height: 20px;
    background: #aaa;
    border-radius: 4px;
}

/* Bayangan */
.shadow {
    position: absolute;
    width: 220px;
    height: 25px;
    background: rgba(0,0,0,0.6);
    bottom: -50px;
    left: 60px;
    filter: blur(12px);
    border-radius: 50%;
}

/* Animasi tinta */
@keyframes inkMove {
    0% { width: 0%; }
    50% { width: 100%; }
    100% { width: 0%; }
}

/* Animasi rakel */
@keyframes move3d {
    0% { left: -20px; }
    50% { left: 260px; }
    100% { left: -20px; }
}

/* Logo muncul seperti disablon */
@keyframes reveal {
    0% { opacity: 0; }
    40% { opacity: 0; }
    55% { opacity: 1; }
    100% { opacity: 0; }
}

/* Text */
.text {
    text-align: center;
    color: #fff;
    margin-top: 25px;
    font-family: sans-serif;
    letter-spacing: 2px;
    animation: blink 1.2s infinite;
}

@keyframes blink {
    0%,100% { opacity: 1; }
    50% { opacity: 0.3; }
}

#loader_sablon_wrapper {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: #0d0d0d;
    z-index: 9999;

    display: flex;
    justify-content: center;
    align-items: center;

    transition: opacity 0.5s ease;
    
}
.hide-loader {
    opacity: 0;
}